#ifndef __BOX_SELECTION_H__
#define __BOX_SELECTION_H__ 1
/* 
   elmo - ELectronic Mail Operator

   Copyright (C) 2003 rzyjontko

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

*/
/*****************************************************************************
 *    INTERFACE REQUIRED HEADERS
 ****************************************************************************/
/*****************************************************************************
 *    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE STRUCTURES / UTILITY CLASSES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE DATA DECLARATIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE FUNCTION PROTOTYPES
 ****************************************************************************/

/** change box */
extern void  box_selection_open (void);
/** move on to the next position */
extern void  box_selection_next (void);
/** move to the previous position */
extern void  box_selection_prev (void);
/** move on to the next page */
extern void  box_selection_next_page (void);
/** move to the previous page */
extern void  box_selection_prev_page (void);
/** move to the first position */
extern void  box_selection_first (void);
/** move to the last position */
extern void  box_selection_last (void);
extern char *box_selection_close (void);
/** close this window */
extern void  box_selection_leave (void);
/** refresh this window */
extern void  box_selection_refresh (void);
/** load this box */
extern void  box_selection_hit (void);
/** re-read mailbox */
extern void  box_selection_re_read (void);

/****************************************************************************
 *    INTERFACE OBJECT CLASS DEFINITIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE TRAILING HEADERS
 ****************************************************************************/
/****************************************************************************
 *
 *    END HEADER box_selection.h
 *
 ****************************************************************************/
#endif
