/* 
   elmo - ELectronic Mail Operator

   Copyright (C) 2003 rzyjontko

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

   ----------------------------------------------------------------------

   void functions for mybox module
   
*/
/****************************************************************************
 *    IMPLEMENTATION HEADERS
 ****************************************************************************/

#include <unistd.h>
#include <stdlib.h>

#include "mybox.h"
#include "file.h"
#include "xmalloc.h"

/****************************************************************************
 *    IMPLEMENTATION PRIVATE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
 ****************************************************************************/
/****************************************************************************
 *    IMPLEMENTATION PRIVATE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
 ****************************************************************************/
/****************************************************************************
 *    IMPLEMENTATION PRIVATE STRUCTURES / UTILITY CLASSES
 ****************************************************************************/
/****************************************************************************
 *    IMPLEMENTATION REQUIRED EXTERNAL REFERENCES (AVOID)
 ****************************************************************************/
/****************************************************************************
 *    IMPLEMENTATION PRIVATE DATA
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE DATA
 ****************************************************************************/

char *mybox_dir     = NULL;
int   mybox_protect = 0;
char *mybox_format  = "%?%$  %D %x %S  ";

/****************************************************************************
 *    IMPLEMENTATION PRIVATE FUNCTION PROTOTYPES
 ****************************************************************************/
/****************************************************************************
 *    IMPLEMENTATION PRIVATE FUNCTIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE FUNCTIONS
 ****************************************************************************/

char *
mybox_start (void)
{
  char *box_start;

  box_start = getenv ("MAILDIR");
  if (box_start != NULL)
    return xstrdup (box_start);

  box_start = getenv ("MAIL");
  if (box_start != NULL)
    return xstrdup (box_start);

  return file_with_dir ("/var/mail", getlogin ());
}



char *
mybox_sent (void)
{
  return NULL;
}



char *
mybox_draft (void)
{
  return NULL;
}



char *
mybox_trash (void)
{
  return NULL;
}



char *
mybox_spam (void)
{
  return NULL;
}


void
mybox_create_box (void)
{
}


rstring_t *
mybox_subdirs (void)
{
  return NULL;
}



void
mybox_free_resources (void)
{
}



char *
mybox_select_subdir (void)
{
  return NULL;
}



void
mybox_switching_to (char *box)
{
}

/****************************************************************************
 *    INTERFACE CLASS BODIES
 ****************************************************************************/
/****************************************************************************
 *
 *    END MODULE mybox-void.c
 *
 ****************************************************************************/
